################################################################################
# Required Variables
################################################################################

variable "vpc" {
  type        = string
  description = "The name of the VPC to which this asset belongs."
}

################################################################################
# Optional Variables
################################################################################

variable "vpc_id" {
  type        = string
  default     = null
  description = "The ID of the VPC to which this asset belongs. Must be specified if VPC is created in the same Terraform run."
}

################################################################################
# Data Sources
################################################################################

data "aws_vpc" "scope" {
  id = var.vpc_id

  tags = {
    "Name" = var.vpc
  }
}

################################################################################
# Outputs
################################################################################

output "vpc" {
  value = var.vpc
}

################################################################################

output "vpc_id" {
  value = data.aws_vpc.scope.id
}

################################################################################
